ICM_ISR_Type Union Reference

## Data Fields

struct {
uint32_t RHC:4
uint32_t RDM:4
uint32_t RBE:4
uint32_t RWC:4
uint32_t REC:4
uint32_t RSU:4
uint32_t URAD:1
uint32_t __pad0__:7
} | bit
uint32_t | reg

## Detailed Description

Definition at line 290 of file icm.h.

## Field Documentation

## __pad0__

uint32_t ICM_ISR_Type::__pad0__

bit: 25..31 Reserved

Definition at line 299 of file icm.h.

## bit

struct { ... } ICM_ISR_Type::bit

Structure used for bit access

## RBE

uint32_t ICM_ISR_Type::RBE

bit: 8..11 Region Bus Error

Definition at line 294 of file icm.h.

## RDM

uint32_t ICM_ISR_Type::RDM

bit: 4.. 7 Region Digest Mismatch

Definition at line 293 of file icm.h.

## REC

uint32_t ICM_ISR_Type::REC

bit: 16..19 Region End bit Condition Detected

Definition at line 296 of file icm.h.

## reg

uint32_t ICM_ISR_Type::reg

Type used for register access

Definition at line 301 of file icm.h.

## RHC

uint32_t ICM_ISR_Type::RHC

bit: 0.. 3 Region Hash Completed

Definition at line 292 of file icm.h.

## RSU

uint32_t ICM_ISR_Type::RSU

bit: 20..23 Region Status Updated Detected

Definition at line 297 of file icm.h.

## RWC

uint32_t ICM_ISR_Type::RWC

bit: 12..15 Region Wrap Condition Detected

Definition at line 295 of file icm.h.

## URAD

uint32_t ICM_ISR_Type::URAD

bit: 24 Undefined Register Access Detection Status

Definition at line 298 of file icm.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/icm.h